Updated: 2014-11-02 Due date:
Subject: Content Editing Stability and Features
Description

Content Editing Stability and Features
    -  Target Audience: users who want to edit content
    -  Responsible: Aske Ertmann
    -  Implemented by: the whole Neos Team
    -  Amount: not estimatable, not paid, done on voluntary basis
    -  Version: must have for 1.0
    -  Planned Implementation Timeframe: continuous work

Motivation
As in-page content editing is the main way a content editor interacts with TYPO3 Neos, it's crucially important that this works
flawlessly without hickups.

Goal
We want to solve as many as possible bugs regarding content editing, and fill in the remaining gaps in content editing.

Deliverables
    -  fix as many content editing bugs as possible for that.
    -  improve content editing (table insertion, improved links)

Subtasks:
Feature # 45431: Icon location for Node Types in Neos shouldn't be fixed to Neos package Closed
Story # 40720: As a content editor with small screen, I want to have a collapsable insp... Closed
  Task # 40722: Make inspector panel collapsible Closed
  Task # 40721: automatically collapse inspector on small page Closed
Feature # 45320: Support collapsing of inspector property groups Closed
Bug # 44174: Removing image dimensions throws exception in AJAX response Closed
Feature # 45433: Support configurable rendering max widths of images Closed
Story # 45434: As a content editor I want to be able to edit normal content Closed
  Task # 45587: Re-enable Aloha Closed
    Task # 49928: Aloha table options inspector stays Closed
  Task # 46182: Compare CKEditor to Aloha Closed
  Task # 52330: Headers should support basic text formatting Closed
Story # 45435: As a content editor I want to be aware when asynchronous loading is taki... Closed
  Task # 45439: Indicate loading when inserting a new content element Closed
  Task # 45483: Show loader when searching for page inside link wizard Closed
Bug # 45445: Link wizard autocompletion of pages not working properly Closed
Bug # 45447: HTML editor causes JavaScript error Closed
Task # 45448: Add missing icons for inspect tree Closed
Task # 45449: Labels for content elements without a title Closed
Bug # 45452: Part of a site is hidden for small screens Closed
Bug # 45456: HTML editor displays dynamically inserted content rather than the actual n... Closed
Task # 45485: Pasting content causes page reload but inserting doesn´t Closed
Task # 45486: Copy/cut breaks after pasting an element Closed
Task # 45531: In Backend, handle exceptions more gracefully if possible Closed
Task # 45534: In Backend, clicking a link should not follow the link Closed
Bug # 45794: Erroneous XHR Tasks are not always considered as such Closed
Task # 45839: As a content editor I want the inspector fields to be validated Closed
Task # 45957: Improve linkpicker styling Closed
Task # 45972: Improve error handling occurring during image upload Closed
Story # 45973: As a content editor I want improved image handling Closed
  Task # 48072: Remove image from image property Closed
  Task # 49927: Remove image caption alignment Closed
  Task # 49937: Make multiple image selection possible Closed
  Task # 49938: Add crop aspect ratio lock presets Closed
  Task # 49939: Consider replacing image alignment with layout Closed
  Task # 51468: Image preview is not reset after cancelling changes in inspector Closed
Bug # 45980: Inserting of new content which uses layout or partials fails Closed
Bug # 45981: Searching for pages in link wizard causes exception for unfound nodes Closed
Task # 46251: Date picker breaks after switching month Closed
Task # 46252: Date picker breaks after switching month Closed
Bug # 46266: Deleting an Image content element having no image results into exception Closed
Task # 46295: Active content element border is hidden Closed
Task # 46401: Workspace module breaks when having two node with same path Closed
Task # 46627: Partial visible button bar Closed
Task # 47076: Inspector properties is partially hidden Closed
Bug # 40677: Pasting pastes into target node rather than after Closed
Bug # 33010: Editing of HTML elements with javascript causes problems Closed
Bug # 42213: Script code in inspector panel fields is executed Closed
Bug # 42733: It is not possible to interact with a plugin that throw exceptions Closed
Bug # 44827: Error loading the VIE schema Closed
Bug # 45542: Workspace module breaks with error Closed
Bug # 46221: Server communication error Closed
Bug # 47224: Neos creates "unstructured" nodes on error Closed
Task # 47555: The deletePageDialog delete button do not match rest of the UI Closed
Task # 47605: Image crop is broken in wireframe mode Closed
Task # 47610: If page tree is expanded, new content element chooser is shifted to the r... Closed
Task # 48070: Image captions should be edited inline Closed
Task # 48073: Image cropping is broken Closed
Task # 48106: Different issues Closed
Task # 48146: Change default generated node paths when changing the node title Closed
Task # 48147: Editing of shortcuts Closed
Task # 48178: Inspector click protection dialog broken after Ember RC3 update Closed
Task # 48180: Saving content properties inside selectboxes doesn't work Closed
Bug # 48230: Wireframen mode broken after Ember RC3 update Closed
Bug # 48261: Inline editable properties are reset after applying changes in the inspect... Closed
Feature # 48307: Support changing node type in the inspector Closed
Task # 48369: Allow to edit Tables with Aloha Closed
Task # 49945: Prevent page reload if content structure is different Closed
Feature # 44644: Nodename according to the pagetitle Closed
Bug # 52061: Pasting from clipboard to empty page doesn't work Closed
Task # 52663: Image element has no height when added Closed
Related issues:
related to Base Distribution - Task # 52053: Deleting Home page leaves backen... New 2013-09-17

Associated revisions
Revision edaca6b5 - 2014-06-12 00:12 - Aske Ertmann

[BUGFIX] Inline editable properties re-initialized after publishing

When publishing changes all inline editable properties are
re-initialized by Aloha in the callback due to the VIE entity
being updated. This causes the cursor to be moved among other
issues. To prevent this we update workspace for the entity silently.

Change-Id: Ia1e73d7c7a67ed30466822239a9fddfc71e93445
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30339
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision ae5e31ec - 2014-06-12 00:13 - Aske Ertmann

[BUGFIX] Inline editable properties re-initialized after publishing

When publishing changes all inline editable properties are
re-initialized by Aloha in the callback due to the VIE entity
being updated. This causes the cursor to be moved among other
issues. To prevent this we update workspace for the entity silently.

Change-Id: Ia1e73d7c7a67ed30466822239a9fddfc71e93445
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30676
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 7a064548 - 2014-06-18 18:48 - Aske Ertmann

[BUGFIX] Title used in publishing notice relies on page reload

Currently the title used when publishing relies on the page being
reloaded since it gets the property from the DOM instead of the VIE
entity. This is needed when the title is inline editable.

Change-Id: If16d75681c4a17536f0240027a177b54fcb77965
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30340
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision 6f68f80b - 2014-06-18 18:48 - Aske Ertmann
[BUGFIX] Title used in publishing notice relies on page reload

Currently the title used when publishing relies on the page being
reloaded since it gets the property from the DOM instead of the VIE
entity. This is needed when the title is inline editable.

Change-Id: If16d75681c4a17536f0240027a177b54fcb77965
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30340
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
(cherry picked from commit 7a064548cc78348d8c83ac479606384bf02e65c4)
Reviewed-on: https://review.typo3.org/30824

Revision 615d1f28 - 2014-06-18 19:35 - Aske Ertmann

[BUGFIX] Hide formatting button when no options are available

When configuring the aloha editor not to have any formatting
options, the selector is still shown although useless. This
makes sure it's hidden if no options are available.

Change-Id: Iaaf93e7b951ab267d01e5f0cee6189fb93605583
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30341
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision 46e3a8a8 - 2014-06-18 19:36 - Aske Ertmann

[BUGFIX] Hide formatting button when no options are available

When configuring the aloha editor not to have any formatting
options, the selector is still shown although useless. This
makes sure it's hidden if no options are available.

Change-Id: Iaaf93e7b951ab267d01e5f0cee6189fb93605583
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30341
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Reviewed-on: https://review.typo3.org/30826

Revision b2347c01 - 2014-06-18 22:29 - Aske Ertmann

2015-08-04 4/5

https://review.typo3.org/30340
https://review.typo3.org/30824
https://review.typo3.org/30341
https://review.typo3.org/30341
https://review.typo3.org/30826


[BUGFIX] Alignment configuration for Aloha editor broken

It's not possible to use the alignment configuration due to broken
logic in the plugin itself and wrong configuration of Aloha settings.

Change-Id: Idcafe34bff00e7218730b2d1210be87496569dc9
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30343
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision 06bdd643 - 2014-06-18 22:55 - Aske Ertmann

[BUGFIX] Alignment configuration for Aloha editor broken

It's not possible to use the alignment configuration due to broken
logic in the plugin itself and wrong configuration of Aloha settings.

Change-Id: Idcafe34bff00e7218730b2d1210be87496569dc9
Related: #45020
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30343
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Reviewed-on: https://review.typo3.org/30839

History
#1 - 2013-01-31 13:52 - Sebastian Kurfuerst
- Subject changed from Content Editing Stability to Content Editing Stability and Features

#2 - 2013-02-13 11:21 - Aske Ertmann
- Assigned To set to Aske Ertmann

#3 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Accepted to Closed
